Subject: [G77] mingw32 vs. cygwin32
From: Samy Alex ZAIMI <[email-masked]>
To: cygwin <[email-masked]>
Date: Fri, 02 Jul 1999 18:04:41 +0000

Hello everyone,

I have tested the following little program on two
versions of the G77 compiler provided by Mumit
Khan. They both are described as being "g77
version egcs-2.91.66 19990314 (egcs-1.1.2
version)", but they differ in the following way :
1. one is taylored to cygwin32 environment (uses
cygwin1.dll),
2. the other one is taylored to mingw32
environment, and is rather standalone.

So here is the little program :
      program essai
      aa=0.
      bb=1/aa ! hey, we divide by zero here
      write(6,*) bb
      end

Compilation is ok for both compilers (I used a
simple "g77 -o essai essai.f", without any
extra-flag).
At execution time, the program compiled with g77
for cygwin32 outputs :
        Inf
and the one compiled with g77 for mingw32 says :
        1.#INF

Well, those values seem to be different, and the
consequences are drammatically different also.
First of all, I need in priority the version for
mingw32, because my programs run much faster with
it, and they are "cygwin1.dll free".
Unfortunately, I need also a good handling of
infinite values, because I do several convergence
tests, and my programs stop too early (sometimes
at the very first iteration !) if they were
compiled with g77_mingw32. With the version
compiled with g77_cygwin32, if a division by zero
occurs, all keeps fine : the program can continue
and switch to the next iteration, until reasonable
values are obtained. This scheme doesn't work with
the version compiled with g77_mingw32, and that
makes me very sad.
So, what shall I do ?

Many thanks in advance.
Regards,
--
Dr.-Ing. Sami Alex ZAIMI
Tohoku University - Sendai (Japan)

--
Want to unsubscribe from this list?
Send a message to [email-masked]